% notes
% * possibility to save space: microntroller → MCU
% * todo: check for serial comma (Oxford comma) consistency - CHECKED by Björn 2021/06/05-20:30
% * todo: check e.g. vs. i.e. usage

\documentclass[10pt,conference]{IEEEtran}

\usepackage[table]{xcolor} %for use in color links
\usepackage{amsmath}
\usepackage{subfig}
\usepackage{pdfpages}
\usepackage{tikz}
\usepackage{svg}
\usepackage{soul}
\usepackage{cleveref}% Has to be loaded after hyperref
\usepackage[multiple]{footmisc}
\usepackage{rotating}
\setlength{\rotFPtop}{0pt plus 1fil}
\usepackage{textcomp}
\usepackage{amssymb}
\usepackage{xurl}

\usepackage{glossaries}

\newacronym{iot}{IoT}{Internet of Things}
\newacronym{pcb}{PCB}{Printed Circuit Board}

\AtBeginDocument{%
  \providecommand\BibTeX{{%
    \normalfont B\kern-0.5em{\scshape i\kern-0.25em b}\kern-0.8em\TeX}}}

\begin{document}

\title{Observing a Moving Target - Reliable Transmission of Debug Logs from Mobile Embedded Devices}

\author{\IEEEauthorblockN{Björn Daase, Leon Matthes, Lukas Pirl, Lukas Wenzel}
\IEEEauthorblockA{Hasso Plattner Institute, University of Potsdam, Germany\\
\{bjoern.daase, leon.matthes\}@student.hpi.de, \{lukas.pirl, lukas.wenzel\}@hpi.de}}

\newcommand{\todobase}[3][RGB]{
  \begingroup%
  \definecolor{hlcolor}{RGB}{#2}\sethlcolor{hlcolor}%
  \hl{#3}%
  \endgroup}

\newcommand{\todo}[1]{\todobase{255, 255, 0}{#1}}
\newcommand{\bd}[1]{\todobase{124,252,0}{bd: #1}}
\newcommand{\jb}[1]{\todobase{124,252,0}{lm: #1}}
\newcommand{\lp}[1]{\todobase{255,0,255}{lp: #1}}

\renewcommand\figurename{Figure}
\renewcommand\tablename{Table}
\renewcommand\thetable{\arabic{table}}
\newcommand{\textapprox}{\raisebox{0.5ex}{\texttildelow}}

\rowcolors{3}{lightgray!30}{white}

\maketitle

\begin{tikzpicture}[remember picture,overlay]
  \node[anchor=south,yshift=10pt] at (current page.south) {\fbox{\parbox{\dimexpr\textwidth-\fboxsep-\fboxrule\relax}{
    \footnotesize \textcopyright 2021 IEEE. Personal use of this
    material is permitted. Permission from IEEE must be obtained for
    all other uses, in any current or future media, including
    reprinting/republishing this material for advertising or
    promotional purposes, creating new collective works, for resale or
    redistribution to servers or lists, or reuse of any copyrighted
    component of this work in other works.
    %~ DOI: \href{<http://…>}{<DOI No.>}
  }}};
\end{tikzpicture}%

\input{sections/0_Abstract}
\input{sections/1_Introduction}
\input{sections/2_Background}
\input{sections/3_Debugging_Moving_Embedded_Devices}
\input{sections/4_Case_Study-Self-Driving_Slot_Car_ Debugging}
% \input{sections/5_Related_Work}
\input{sections/6_Conclusion}

\bibliographystyle{IEEEtran}
\bibliography{references}

\end{document}